Installation sous mageia 3

Added by Denis Quenton over 7 years ago

Bonjour,
j'ai installé AMC sur mageia 3, avec le gestionnaire de paquets. Celui-ci m'a automatiquement installé la texlive 2012. J'ai installé également texstudio.
Lorsque je choisis nouveau projet, que je crée un projet test à partir d'un modèle exemple simple, je suis bloqué.
A part le bouton éditer le source, aucun ne semble avoir d'effet. Les deux boutons à côté de mettre à jour.. sont toujours grisé.

Si je compile le doc ouvert dans texstudio (après avoir configuré AMC pour utiliser texstudio). La compilation semble fonctionner. j'obtients bien un fichier pdf, de plusieurs pages "identiques".

J'ai vu dans le forum, qu'une personne semblait avoir le même problème que moi, mais les chemins proposés n'existent pas chez moi.
L'action quitter du menu projet ne semble pas fonctionner.

Je me retrouve avec deux dossiers test: un dans le dossier projet-qcm/amc et un autre dans le dossier projet-qcm.

Merci de votre aide


Replies (7)

RE: Installation sous mageia 3 - Added by Alexis Bienvenüe over 7 years ago

Quelques infos qui peuvent aider au débogage :
  • lancez AMC depuis un terminal (avec la commande auto-multiple-choice) et envoyez ce qu'AMC y écrit
  • passez en mode débogage avant de créer et essayer un nouveau projet, et envoyez le fichier log produit.

RE: Installation sous mageia 3 - Added by Alexis Bienvenüe over 7 years ago

J'ai vu dans le forum, qu'une personne semblait avoir le même problème que moi, mais les chemins proposés n'existent pas chez moi.

de quel fil de discussion s'agit-il ?

RE: Installation sous mageia 3 - Added by Denis Quenton over 7 years ago

voici le fichier log, d'un nouveau projet test2.

RE: Installation sous mageia 3 - Added by Alexis Bienvenüe over 7 years ago

*** unhandled exception in callback:
***   install_driver(SQLite) failed: Can't locate DBD/SQLite.pm in @INC (@INC contains: /usr/lib/perl5/site_perl/5.16.3/x86_64-linux-thread-multi /usr/lib/perl5/site_perl/5.16.3 /usr/lib/perl5/vendor_perl/5.16.3/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.16.3 /usr/lib/perl5/5.16.3/x86_64-linux-thread-multi /usr/lib/perl5/5.16.3 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.16.3 /usr/lib/perl5/vendor_perl/5.16.3/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.16.2 /usr/lib/perl5/vendor_perl/5.16.2/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl .) at (eval 38) line 3.
***   Perhaps the DBD::SQLite perl module hasn't been fully installed,
***   or perhaps the capitalisation of 'SQLite' isn't right.
***   Available drivers: DBM, ExampleP, File, Gofer, Sponge.
***    at /usr/lib/perl5/vendor_perl/5.16.2/AMC/Data.pm line 60.
***  ignoring at /usr/lib64/AMC/perl/AMC-gui.pl line 6461.

En tout cas il manque le paquet perl DBD::SQLite. Quelque chose comme
sudo urpmi 'perl(DBD::SQLite)'

devrait aider.

RE: Installation sous mageia 3 - Added by Denis Quenton over 7 years ago

Cela semble fonctionner.

Merci

RE: Installation sous mageia 3 - Added by Alexis Bienvenüe over 7 years ago

Vous pouvez alors remonter l'information à Mageia pour qu'ils corrigent les dépendances du paquet auto-multiple-choice en ajoutant perl(DBD::SQLite).

(1-7/7)